
/*--------------------------------------------------------------------------
                           P I M O T O R

  Driver and add on code for the Physik Instrument Motor Controller C-804.
  
  Mark Koennecke, September 1998
----------------------------------------------------------------------------*/
#ifndef PIMOTOR
#define PIMOTOR
#include <motor.h>


int PIMotorWrapper(SConnection * pCon, SicsInterp * pSics, void *pData,
                   int argc, char *argv[]);
int PIMotorFactory(SConnection * pCon, SicsInterp * pSics, void *pData,
                   int argc, char *argv[]);

int PISetSpeed(pMotor self, SConnection * pCon, float fNew);
int PIGetSpeed(pMotor self, SConnection * pCon, float *fVal);

int PIHome(pMotor self, SConnection * pCon);

#endif
